loci.formats.in

## Class AmiraReader.ASCII

- java.lang.Object
- - loci.formats.in.AmiraReader.ASCII

- All Implemented Interfaces:
    AmiraReader.PlaneReader
  Enclosing class:
    AmiraReader

      class AmiraReader.ASCII
      extends java.lang.Object
      implements AmiraReader.PlaneReader

  This class provides a not-quite-efficient, but simple reader for planes stored in ASCII-encoded numbers. Should efficiency ever become a concern, we'll need to have specializations for every pixel type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `bytesPerPixel`
    `(package private) byte[]` | `numberBuffer`
    `(package private) long[]` | `offsets`
    `(package private) int` | `pixelsPerPlane`
    `(package private) int` | `pixelType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASCII(int pixelType, int pixelsPerPlane)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `read(int no, byte[] buf)`
    `(package private) double` | `readNumberString()`
    `(package private) byte` | `skipWhiteSpace()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pixelType

          int pixelType

    - #### bytesPerPixel

          int bytesPerPixel

    - #### pixelsPerPlane

          int pixelsPerPlane

    - #### offsets

          long[] offsets

    - #### numberBuffer

          byte[] numberBuffer

  - ### Constructor Detail

    - #### ASCII

          ASCII(int pixelType,
                int pixelsPerPlane)

  - ### Method Detail

    - #### read

          public byte[] read(int no,
                             byte[] buf)
                      throws FormatException,
                             java.io.IOException

      Specified by:
        `read` in interface `AmiraReader.PlaneReader`
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readNumberString

          double readNumberString()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipWhiteSpace

          byte skipWhiteSpace()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment